#
# 
# Automated installation for bankmanager
# 
# Project: playbooks
# Author: Tobias Lehmann <tobias.lehmann@captica.de>
# License: MIT License (see LICENSE.md)
# 
# Copyright (c) captica GmbH est. 2021
#
- hosts: "leh01"
  name: Create container
  vars:
    lxc_id: 1036
    lxc_name: n8n
    lxc_domain: leh01.local
    lxc_template: "local:vztmpl/debian-12-standard_12.2-1_amd64.tar.zst"
    lxc_mac: CC:CC:CC:15:01:76
    lxc_bridge: vmbr150
    lxc_vlan: ""
    lxc_disk: datapool:16
    lxc_cpu: 2
    lxc_memory: 2048
    lxc_swap: 1024
    lxc_ssh_pub_key: ~/.ssh/id_ed25519_ansible.pub
  roles:
    - lxc-container

- hosts: "n8n" 
  vars:    
    hostname: n8n
    tools_install_users:
      - root     
      - ansible
    ssh_pubkeys_root:
      - "../files/ssh/root.pub"
    ssh_pubkeys_ansible:
      - "../files/ssh/id_ed25519_ansible.pub"
  roles:
    - linux-base-install
    - zsh
    - vim
    - fzf
    - n8n